## pytest-testinfra 10.2.2

=== Makefile ===
all: doc

doc:
	$(MAKE) -C doc html


.PHONY: all doc

## pytest-testinfra 6.1.0

=== debian/changelog ===
pytest-testinfra (6.1.0-1) unstable; urgency=medium

  * New upstream version 6.1.0
  * Drop 0001-Allow-to-execute-test_invocation-from-sources.patch:
    fixed upstream
  * Remove leftover egg-info dir after build
  * Bump Standard-Version to 4.5.1: no changes

 -- Baptiste Beauplat <lyknode@cilg.org>  Thu, 03 Dec 2020 20:05:03 +0100

pytest-testinfra (6.0.0-2) unstable; urgency=medium

  * Bump for first source-only upload

 -- Baptiste Beauplat <lyknode@cilg.org>  Tue, 10 Nov 2020 22:51:56 +0100

pytest-testinfra (6.0.0-1) unstable; urgency=medium

  * New upstream version 6.0.0 (Closes: #971591)
  * Move package to the Debian Python Team (See: #971591):
    - Set Debian Python Team as Maintainer
    - Update VCS url to the Debian Python Team group
  * New maintainer (See: #971591):
    - Set myself as Uploaders
    - Add myself to Copyright holder for debian/ files
  * Remove trailing space from changelog
  * Bump debhelper to 13:
    - Add debhelper-compat to Build-Depends
    - Remove d/compat
  * d/control:
    * Bump Standard-Version to 4.5.0: no changes
    * Add Rules-Requires-Root: no
  * Update testinfra dependencies:
    - Add python3-paramiko as Recommends
    - Add testinfra connection backends dependencies as Suggests
  * Add testing:
    - Add testing dependencies to Build-Depends
    - Remove unused PYBUILD_DISABLE=test
    - Run upstream test suite with autopkgtest
    - Allow execution of test_invocation from sources.
      Thanks to Pierre-Louis Bonicoli for the patch
  * Add upstream metadata
  * Rename testinfra binary package to python3-testinfra:
    - d/rules: Remove python- prefix from PYBUILD_NAME
    - Add Breaks, Replaces and Provides relations
  * Use upstream as upstream branch name
    - Rename branch name
    - Remove upstream branch name from d/gbp.conf
  * Update upstream references. Project was renamed pytest-testinfra and
    relocated under pytest-dev github team (module name did not change),
    see https://github.com/pytest-dev/pytest-testinfra/issues/484:
    - d/control: Update Homepage to new location
    - d/copyright: Update Upstream-Name and Source to new project name and
      location
    - d/watch: Update url to new location
  * Rename source package to pytest-testinfra (See #973653):
    - d/changelog: Package renamed
    - d/control: Source package renamed

 -- Baptiste Beauplat <lyknode@cilg.org>  Mon, 02 Nov 2020 20:27:56 +0100

testinfra (3.2.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * First release (Closes: #933350)

 -- Sebastien Delafond <seb@debian.org>  Thu, 07 Nov 2019 10:42:14 +0100

=== debian/control ===
Source: pytest-testinfra
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Baptiste Beauplat <lyknode@cilg.org>,
Build-Depends:
 ansible,
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-mock,
 python3-paramiko,
 python3-pytest,
 python3-setuptools,
 python3-setuptools-scm,
 python3-six,
 python3-tornado,
 python3-winrm,
 salt-common,
Standards-Version: 4.5.1
Homepage: https://github.com/pytest-dev/pytest-testinfra
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-testinfra
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-testinfra.git
Rules-Requires-Root: no

Package: python3-testinfra
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-paramiko,
Suggests:
 ansible,
 docker.io,
 lxc,
 podman,
 python3-winrm,
 salt-common,
Replaces:
 testinfra (<< 6.0.0-1),
Breaks:
 testinfra (<< 6.0.0-1),
Provides:
 testinfra,
Description: server state testing framework based on pytest
 This is a framework for writing arbitrary server status tests
 equivalent to Serverspec.
 .
 It's implemented as a plugin for Pytest.

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 ansible,
 python3-mock,
 python3-paramiko,
 python3-pytest,
 python3-tornado,
 python3-winrm,
 salt-common,
 @,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%testinfra-$1.tar.gz%" \
     https://github.com/pytest-dev/pytest-testinfra/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## pytest-testinfra 6.5.0

=== debian/changelog ===
pytest-testinfra (6.5.0-1) unstable; urgency=medium

  * Exclude kernel variation for salsa reprotest job (makes ldconfig crash)
  * New upstream version 6.5.0
  * Bump Standards-Version to 4.6.0

 -- Baptiste Beauplat <lyknode@debian.org>  Sat, 18 Dec 2021 11:31:53 +0100

pytest-testinfra (6.4.0-1) unstable; urgency=medium

  * New upstream version 6.4.0
  * Update copyright years and my email info

 -- Baptiste Beauplat <lyknode@debian.org>  Fri, 20 Aug 2021 14:58:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Baptiste Beauplat <lyknode@cilg.org>,
+ Baptiste Beauplat <lyknode@debian.org>,
 Build-Depends:
  ansible,
  debhelper-compat (= 13),
@@ -18,7 +18,7 @@
  python3-tornado,
  python3-winrm,
  salt-common,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/pytest-dev/pytest-testinfra
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-testinfra
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-testinfra.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=testinfra

%:
	dh $@ --with python3 --buildsystem=pybuild

## pytest-testinfra 6.8.0

=== debian/changelog ===
pytest-testinfra (6.8.0-1) unstable; urgency=medium

  * New upstream version 6.8.0
  * Bump Standards-Version to 4.6.1: no changes
  * Update copyright years

 -- Baptiste Beauplat <lyknode@debian.org>  Mon, 20 Jun 2022 10:07:40 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-tornado,
  python3-winrm,
  salt-common,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/pytest-dev/pytest-testinfra
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-testinfra
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-testinfra.git

## pytest-testinfra 7.0.1

=== debian/changelog ===
pytest-testinfra (7.0.1-1) unstable; urgency=medium

  * New upstream version 7.0.1
  * Bump Standards-Version to 4.6.2
  * Set pristine-tar as default for gbp
  * Drop salt-common dependency
  * Skip salt backend test
  * Update copyright years

 -- Baptiste Beauplat <lyknode@debian.org>  Mon, 02 Jan 2023 20:01:40 +0100

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,7 @@
  python3-six,
  python3-tornado,
  python3-winrm,
- salt-common,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/pytest-dev/pytest-testinfra
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-testinfra
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-testinfra.git
@@ -37,7 +36,6 @@
  lxc,
  podman,
  python3-winrm,
- salt-common,
 Replaces:
  testinfra (<< 6.0.0-1),
 Breaks:

=== debian/tests/control ===
--- 
+++ 
@@ -6,5 +6,4 @@
  python3-pytest,
  python3-tornado,
  python3-winrm,
- salt-common,
  @,

## pytest-testinfra 8.1.0

=== debian/changelog ===
pytest-testinfra (8.1.0-1) unstable; urgency=medium

  * New upstream version 8.1.0
  * Add Forwarded header to skip-salt-backend-test patch

 -- Baptiste Beauplat <lyknode@debian.org>  Sun, 11 Jun 2023 16:50:41 +0200

## pytest-testinfra 10.1.0

=== debian/changelog ===
pytest-testinfra (10.1.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 10.1.0
  * remove extraneous build dependencies:
    * python3-mock
    * python3-six

 -- Alexandre Detiste <tchet@debian.org>  Fri, 23 Feb 2024 01:07:29 +0100

pytest-testinfra (10.0.0-1) unstable; urgency=medium

  * New upstream version 10.0.0
  * Update copyright years
  * Use new salsa CI pipeline
  * Drop kernel variation exclusion for reprotest CI
  * Always use C.UTF-8 when running the tests (fix reproducible tests FTBFS)

 -- Baptiste Beauplat <lyknode@debian.org>  Mon, 01 Jan 2024 11:35:38 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,10 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-mock,
  python3-paramiko,
  python3-pytest,
  python3-setuptools,
  python3-setuptools-scm,
- python3-six,
  python3-tornado,
  python3-winrm,
 Standards-Version: 4.6.2

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 ansible,
 python3-paramiko,
 python3-pytest,
 python3-tornado,
 python3-winrm,
 @,

## pytest-testinfra 10.1.1

=== debian/changelog ===
pytest-testinfra (10.1.1-2) unstable; urgency=medium

  * Team upload.
  * Remove crypt lib from testing (closes: #1082191).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Fri, 08 Nov 2024 02:14:11 +0000

pytest-testinfra (10.1.1-1) unstable; urgency=medium

  * New upstream version 10.1.1
  * Bump Standards-Version to 4.7.0

 -- Baptiste Beauplat <lyknode@debian.org>  Sat, 01 Jun 2024 12:11:09 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  ansible,
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-paramiko,
  python3-pytest,
@@ -15,7 +16,7 @@
  python3-setuptools-scm,
  python3-tornado,
  python3-winrm,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/pytest-dev/pytest-testinfra
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-testinfra
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-testinfra.git

## pytest-testinfra 10.2.2

=== debian/changelog ===
pytest-testinfra (10.2.2-1) unstable; urgency=medium

  * New upstream version 10.2.2
  * Drop crypt removal patch: applied upstream
  * Update copyright years
  * Bump Standards-Version to 4.7.2
  * Add python3-hatchling and python3-hatch-vcs to Build-Depends

 -- Baptiste Beauplat <lyknode@debian.org>  Wed, 02 Apr 2025 20:59:06 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,15 @@
  dh-python,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatch-vcs,
+ python3-hatchling,
  python3-paramiko,
  python3-pytest,
  python3-setuptools,
  python3-setuptools-scm,
  python3-tornado,
  python3-winrm,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/pytest-dev/pytest-testinfra
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-testinfra
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-testinfra.git

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	LC_ALL=C.UTF-8 LANG=C.UTF-8 dh_auto_test
